org.springframework.data.jdbc.core.convert

## Enum JdbcColumnTypes

- java.lang.Object
- - java.lang.Enum<JdbcColumnTypes>
  - - org.springframework.data.jdbc.core.convert.JdbcColumnTypes

All Implemented Interfaces:
  Serializable, Comparable<JdbcColumnTypes>

    public enum JdbcColumnTypes
    extends Enum<JdbcColumnTypes>

Utility that determines the necessary type conversions between Java types used in the domain model and types compatible with JDBC drivers.

Since:
  2.0
Author:
  Jens Schauder

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INSTANCE`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract Class<?>` `resolvePrimitiveType(Class<?> type)`
`static JdbcColumnTypes` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JdbcColumnTypes[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INSTANCE

    public static final JdbcColumnTypes INSTANCE

### Method Detail

#### values

    public static JdbcColumnTypes[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JdbcColumnTypes c : JdbcColumnTypes.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JdbcColumnTypes valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### resolvePrimitiveType

    public abstract Class<?> resolvePrimitiveType(Class<?> type)